#ifndef __SWAP_H
#define __SWAP_H

#include "at32f403a_407.h"

//
uint16_t swap_uint16(uint16_t val);

//
int16_t swap_int16(int16_t val);

//
uint32_t swap_uint32(uint32_t val);

//
int32_t swap_int32(int32_t val);

//
int64_t swap_int64(int64_t val);

//
uint64_t swap_uint64(uint64_t val);



#endif /* #ifndef __SWAP_H */